--- title: "Add a reader with project level access" slug: "how-to-add-a-reader-with-project-level-access" updated: 2025-06-12T07:21:03Z published: 2025-06-12T07:22:11Z canonical: "apidocs.document360.com/how-to-add-a-reader-with-project-level-access" --- > ## Documentation Index > Fetch the complete documentation index at: https://apidocs.document360.com/llms.txt > Use this file to discover all available pages before exploring further. # Add a reader with project level access You can use Document360’s API to add a reader with project level access to your account. To add a reader to your account, follow these steps: 1. Retrieve the team account ID for the user sending the invite. 2. Add the reader using the API. --- ## Prerequisites for adding a reader with project access Before you add a reader to your account, complete the following authorization steps in Postman. ### Authorization To authorize requests in Postman, make sure your API token is added and the appropriate Base URL is set. 1. Click **Document360 Customer API** in the category tree. 2. In the Postman **Workbench**, go to the **Variables** tab. 3. In the **Variables** tab, check the **Initial** and **Current** values of the `baseUrl` variable. This value should already be set to `https://apihub.document360.io`. If not, update both fields accordingly. 4. Add a new variable for your API token. For example, name it `api_token`. Paste your API token from Document360 into both the **Initial value** and **Current value** fields. 5. Go to the **Authorization** tab and enter the variable you created in the **Value** field. For example, enter `{{api_token}}` if your variable is named `api_token`. [Embedded content](https://www.floik.com/embed/6c8153d2-2726-4c62-b723-2bd209ff8c39/3274f00b-9839-480d-a29c-9a0ab11cb84f-flo.html) Once you've completed these steps, you're ready to start using Document360 APIs in **Postman**. --- ## Retrieve the team account ID for the user sending the invite To add a reader to your account, you need the team account ID for the user sending the invite to the reader. This step helps you retrieve the team account ID. 1. In Postman, under **Document360 Customer API**, expand **v2** > **Teams**. 2. Click **Get all team accounts**, then click **Send**. 3. In the response body, locate the `user_id` of the team account you wish to use for sending the invite. > [!TIP] > PRO TIP > > To locate the desired team account `user_id`, look for the `“first_name”` or `“last_name”` field on the response to identify the corresponding team account quickly. 1. Copy the `user_id` and save it for later use. [Embedded content](https://www.floik.com/embed/6c8153d2-2726-4c62-b723-2bd209ff8c39/7046554c-2bf3-4dff-969f-c10ba8c88bab-flo.html) --- ## Add the reader with project level access After retrieving the team account ID, use this request to add a reader with project level access. 1. Under **v2**, expand **Readers.** 2. Click **Add a new reader**. ![](https://cdn.document360.io/2b5c503e-f283-4987-b5a8-2b71b454ecec/Images/Documentation/1_Screenshot-Add_a_new_reader_body_tab.jpg) 1. In the **Body** tab, provide: - `email_id`: Enter the email ID of the reader. - `invited_by`: Enter the user ID of the team account sending the invite. - `first_name`: Enter the first name of the reader. - `last_name`: Enter the first name of the reader. - `access_level`: Provide the value as `3` to provide project level access to the reader. For example, ```json {  "email_id": "john.smith@example.com",  "invited_by": "",  "first_name": "John",  "last_name": "Smith",  "access_scope": {    "access_level": 3  },  "is_sso_user": "False",  "skip_sso_invitation_email": "True" } ``` 1. Click **Send**. If successful, the API will return a `200 OK` status and `“success”: true`. The reader will be invited to your account with project level access.